Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 602077 - SELinux is preventing /usr/bin/icecast "read" access on cpuinfo.
SELinux is preventing /usr/bin/icecast "read" access on cpuinfo.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:d690557c571...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 01:20 EDT by Martin Edlman
Modified: 2010-07-08 20:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:26:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Edlman 2010-06-09 01:20:07 EDT
Souhrn:

SELinux is preventing /usr/bin/icecast "read" access on cpuinfo.

Podrobný popis:

SELinux denied access requested by icecast. It is not expected that this access
is required by icecast and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                unconfined_u:system_r:icecast_t:s0
Kontext cíle                 system_u:object_r:proc_t:s0
Objekty cíle                 cpuinfo [ file ]
Zdroj                         icecast
Cesta zdroje                  /usr/bin/icecast
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          icecast-2.3.2-4.fc13
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-21.fc13
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux worm.fortech.cz 2.6.33.5-112.fc13.i686.PAE
                              #1 SMP Thu May 27 02:56:20 UTC 2010 i686 i686
Počet upozornění           2
Poprvé viděno               St 9. červen 2010, 07:18:09 CEST
Naposledy viděno             St 9. červen 2010, 07:18:09 CEST
Místní ID                   8797b49a-9b62-4f69-815a-3e92b3432e43
Čísla řádků              

Původní zprávy auditu      

node=worm.fortech.cz type=AVC msg=audit(1276060689.73:41859): avc:  denied  { read } for  pid=11602 comm="icecast" name="cpuinfo" dev=proc ino=4026531980 scontext=unconfined_u:system_r:icecast_t:s0 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=worm.fortech.cz type=SYSCALL msg=audit(1276060689.73:41859): arch=40000003 syscall=5 success=no exit=-13 a0=86811c a1=80000 a2=0 a3=34 items=0 ppid=1 pid=11602 auid=500 uid=487 gid=475 euid=487 suid=487 fsuid=487 egid=475 sgid=475 fsgid=475 tty=(none) ses=56 comm="icecast" exe="/usr/bin/icecast" subj=unconfined_u:system_r:icecast_t:s0 key=(null)



Hash String generated from  catchall,icecast,icecast_t,proc_t,file,read
audit2allow suggests:

#============= icecast_t ==============
allow icecast_t proc_t:file read;
Comment 1 Miroslav Grepl 2010-06-09 11:22:22 EDT
Fixed in selinux-policy-3.7.19-26.fc13

Note You need to log in before you can comment on or make changes to this bug.